--- src/gtk/app.cpp	2003-06-03 15:58:15.000000000 +0200
+++ src/gtk/app.cpp	2003-10-15 19:08:45.000000000 +0200
@@ -791,7 +791,8 @@
     }
     else
     {
-        g_thread_init(NULL);
+        if (!g_thread_supported())
+            g_thread_init(NULL);
     }
 #endif
 
Index: src/gtk/settings.cpp
===================================================================
RCS file: /pack/cvsroots/wxwindows/wxWindows/src/gtk/settings.cpp,v
retrieving revision 1.43
diff -u -r1.43 settings.cpp
--- src/gtk/settings.cpp	2003/08/09 12:46:10	1.43
+++ src/gtk/settings.cpp	2003/10/14 22:47:28
@@ -49,14 +49,14 @@
     void OnExit()
     {
         //delete g_systemWinColour;
-        delete g_systemBtnFaceColour;
-        delete g_systemBtnShadowColour;
-        delete g_systemBtnHighlightColour;
-        delete g_systemHighlightColour;
-        delete g_systemHighlightTextColour;
-        delete g_systemListBoxColour;
-        delete g_systemFont;
-        delete g_systemBtnTextColour;
+        delete g_systemBtnFaceColour; g_systemBtnFaceColour = NULL;
+        delete g_systemBtnShadowColour; g_systemBtnShadowColour = NULL;
+        delete g_systemBtnHighlightColour; g_systemBtnHighlightColour = NULL;
+        delete g_systemHighlightColour; g_systemHighlightColour = NULL;
+        delete g_systemHighlightTextColour; g_systemHighlightTextColour = NULL;
+        delete g_systemListBoxColour; g_systemListBoxColour = NULL;
+        delete g_systemFont; g_systemFont = NULL;
+        delete g_systemBtnTextColour; g_systemBtnTextColour = NULL;
     }
     DECLARE_DYNAMIC_CLASS(wxSystemSettingsModule)
 };
